-- Query 1. Example with pathology C50. Here, the string 'C50' is what should be substituted by the CD10 pathology code selected from the form.
SELECT Name,IdVariation FROM Pathology,Variation where IdPathologyCD10 IN (SELECT IdPathologyCD10 FROM patients_affected_by WHERE IdStudy IN (SELECT IdStudy FROM variation_studied_by  WHERE IdVariation IN (SELECT IdVariation FROM variation_studied_by WHERE IdVariation IN (SELECT IdStudy FROM patients_affected_by WHERE IdPathologyCD10 = 'C50'))));

-- Query 2. Example with variation CCL2. Again, the 'CCL2' string is to be substituted by the variation identifier taken from the form.
SELECT patients_affected_by.IdStudy,patients_affected_by.IdPathologyCD10,exhibit_symptom.IDCardiovascularSymptom FROM patients_affected_by,exhibit_symptom WHERE  patients_affected_by.IdStudy=exhibit_symptom.IdStudy AND patients_affected_by.IdStudy IN (SELECT IdStudy FROM variation_studied_by WHERE IdVariation='CCL2');

-- Query 3. Example with variation TNFSF13B. Same as in query 2.
SELECT Company,IdPanelKitName FROM PanelKitName WHERE IdVariation='TNFSF13B';

-- Query 4. Example with variation rs1058808. Same as in query 2.
SELECT DrugName,IdDrugATC FROM Drug WHERE IdDrugATC IN (SELECT IdDrugATC FROM cancer_tr_used_drug WHERE IdStudy IN (SELECT IdStudy from variation_studied_by WHERE IdVariation='rs1058808'));

-- Query 5. Example with pathology name Malignant neoplasm of breast. This is different: the pathology name is not taken from a predefined list but from a
-- free text area in the form that the user should fill.
-- This is tricky... what if the user introduces a similar name, almost identical, like Malignant neoplasm of  breast ?
SELECT IdGeneEntrez,IdGeneSymbol FROM Gene WHERE IdGeneEntrez IN (SELECT IdGeneEntrez FROM Variation WHERE IdVariation IN (SELECT IdVariation FROM variation_studied_by WHERE IdStudy IN (SELECT IdStudy FROM patients_affected_by WHERE IdPathologyCD10 IN (SELECT IdPathologyCD10 FROM Pathology WHERE Name='Malignant neoplasm of breast'))));

-- Query 6. Example with gene whose Entrez is 2064. Here the number 2064 is to be substituted by a number taken from a choice in the form. Notice that
-- it is an integer number, not a string, as in the former cases.
SELECT DrugName,IdDrugATC FROM Drug WHERE IdDrugATC IN (SELECT IdDrugATC FROM cancer_tr_used_drug WHERE IdStudy IN (SELECT IdStudy from variation_studied_by WHERE IdVariation IN (SELECT IdVariation FROM Variation WHERE IdGeneEntrez=2064)));

-- Query 7. Example with gene whose Entrez is 2064. Same as in query 6
SELECT Variation.IdVariation,PanelKitName.Company,PanelKitName.IdPanelKitName FROM Variation,PanelKitName WHERE Variation.IdVariation IN (SELECT IdVariation FROM Variation WHERE IdGeneEntrez=2064);
