#!/usr/bin/perl
# Macro to create the dropall.sql from the creation .sql script.
use strict;
use warnings;

($#ARGV == 0) || die("Usage: $0 table_creation_script.sql\n");

open(F,"< $ARGV[0]") || die("Cannot open file $ARGV[0] to read.\n");
open(G,"> dropall.sql") || die("Cannot open file dropall.sql to write.\n");
print G "SET FOREIGN_KEY_CHECKS = 0;\n";

my $line;
while (defined($line=<F>))
{
 if ($line =~ /CREATE\ TABLE\ ([^\s]+)/)
 {
  print G "DROP TABLE $1;\n";
 }
}
print G "SET FOREIGN_KEY_CHECKS = 1;\n"; 
close(G);
close(F);
print "File dropall.sql has been created.\n";

